OpenCV: cv::detail::FeaturesFinder Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::detail::FeaturesFinder Class Referenceabstract
Images stitching » Features Finding and Images Matching

Feature finders base class. More...

`#include "matchers.hpp"`

Inheritance diagram for cv::detail::FeaturesFinder:

## Public Member Functions
virtual | ~FeaturesFinder ()
virtual void | collectGarbage ()
| Frees unused memory allocated before if there is any. More...
void | operator() (InputArray image, ImageFeatures &features)
void | operator() (InputArray image, ImageFeatures &features, const std::vector< cv::Rect > &rois)
| Finds features in the given image. More...
void | operator() (InputArrayOfArrays images, std::vector< ImageFeatures > &features, const std::vector< std::vector< cv::Rect > > &rois)
| Finds features in the given images in parallel. More...
void | operator() (InputArrayOfArrays images, std::vector< ImageFeatures > &features)

## Protected Member Functions
virtual void | find (InputArray image, ImageFeatures &features)=0
| This method must implement features finding logic in order to make the wrappers detail::FeaturesFinder::operator()_ work. More...
bool | isThreadSafe () const
| uses dynamic_cast to determine thread-safety More...

## Detailed Description

Feature finders base class.

## Constructor & Destructor Documentation

## ◆ ~FeaturesFinder()

virtual cv::detail::FeaturesFinder::~FeaturesFinder | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ collectGarbage()

virtual void cv::detail::FeaturesFinder::collectGarbage | ( |  | ) |
| inlinevirtual

Frees unused memory allocated before if there is any.

## ◆ find()

virtual void cv::detail::FeaturesFinder::find | ( | InputArray | image,
|  | ImageFeatures & | features
| ) |  |
| protectedpure virtual

This method must implement features finding logic in order to make the wrappers detail::FeaturesFinder::operator()_ work.

Parameters

  image | Source image
  features | Found features

See also
  detail::ImageFeatures

## ◆ isThreadSafe()

bool cv::detail::FeaturesFinder::isThreadSafe | ( |  | ) | const
| protected

uses dynamic_cast to determine thread-safety

Returns
  True, if it's possible to use the same finder instance in parallel, false otherwise

## ◆ operator()() [1/4]

void cv::detail::FeaturesFinder::operator() | ( | InputArray | image,
|  | ImageFeatures & | features
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ operator()() [2/4]

void cv::detail::FeaturesFinder::operator() | ( | InputArray | image,
|  | ImageFeatures & | features,
|  | const std::vector< cv::Rect > & | rois
| ) |  |

Finds features in the given image.

Parameters

  image | Source image
  features | Found features
  rois | Regions of interest

See also
  detail::ImageFeatures, Rect_

## ◆ operator()() [3/4]

void cv::detail::FeaturesFinder::operator() | ( | InputArrayOfArrays | images,
|  | std::vector< ImageFeatures > & | features,
|  | const std::vector< std::vector< cv::Rect > > & | rois
| ) |  |

Finds features in the given images in parallel.

Parameters

  images | Source images
  features | Found features for each image
  rois | Regions of interest for each image

See also
  detail::ImageFeatures, Rect_

## ◆ operator()() [4/4]

void cv::detail::FeaturesFinder::operator() | ( | InputArrayOfArrays | images,
|  | std::vector< ImageFeatures > & | features
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/matchers.hpp